package leigh.mud.engine.cmd;

import leigh.mecha.log.MechaLogger;
import leigh.mecha.log.MechaLoggerFactory;
import leigh.mud.engine.MudSession;

/**
 * Implementation of the WE command. This allows for editing the world.
 *
 * @author Alex Leigh
 */
public class WorldEditCommand extends CommandFrame {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(WorldEditCommand.class);
    private final MudSession session;

    public WorldEditCommand(MudSession session) {
        this.session = session;
        putCommand("room", new WorldEditRoomCommand(session));
    }
}
